Package com.emc.documentum.rest.binding

# Enum Class SerializableType.FieldVisibility

java.lang.Object
java.lang.Enum<SerializableType.FieldVisibility>
com.emc.documentum.rest.binding.SerializableType.FieldVisibility

All Implemented Interfaces:
  `Serializable`, `Comparable<SerializableType.FieldVisibility>`, `Constable`

Enclosing class:
  SerializableType

public static enum SerializableType.FieldVisibility extends Enum<SerializableType.FieldVisibility>
Visibility of the field in marshalling.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  all fields are for marshalling
  `NONE`
  none fields are for marshalling by default; as though, specific fields can be marked as serializable using the annotation `SerializableField`
  `PUBLIC`
  all public fields are for marshalling by default; as though, specific fields can be marked as serializable using the annotation `SerializableField`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SerializableType.FieldVisibility`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SerializableType.FieldVisibility[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final SerializableType.FieldVisibility ALL
    all fields are for marshalling

  - ### PUBLIC

    public static final SerializableType.FieldVisibility PUBLIC
    all public fields are for marshalling by default; as though, specific fields can be marked as serializable using the annotation `SerializableField`

  - ### NONE

    public static final SerializableType.FieldVisibility NONE
    none fields are for marshalling by default; as though, specific fields can be marked as serializable using the annotation `SerializableField`

- ## Method Details

  - ### values

    public static SerializableType.FieldVisibility[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SerializableType.FieldVisibility valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null